Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class NodePropertyNames

    java.lang.Object
      edu.stanford.smi.protegex.widget.graph.NodePropertyNames

    public class NodePropertyNames

extends Object

Field Summary
`static String` | `CONNECTOR_ARROWHEAD_TYPE`
`static String` | `CONNECTOR_DISPLAY_TEXT`
`static String` | `CONNECTOR_LINE_TYPE`
`static String` | `CONNECTOR_SLOT`
`static String` | `LABEL_BOLD`
`static String` | `LABEL_ITALIC`
`static String` | `LABEL_RGB_BLUE`
`static String` | `LABEL_RGB_GREEN`
`static String` | `LABEL_RGB_RED`
`static String` | `NODE_DISPLAY_NAME`
`static String` | `NODE_RGB_BLUE`
`static String` | `NODE_RGB_GREEN`
`static String` | `NODE_RGB_RED`
`static String` | `NODE_SHAPE`

Constructor Summary
`NodePropertyNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_DISPLAY_NAME

    public static final String NODE_DISPLAY_NAME

See Also:
  Constant Field Values

### NODE_SHAPE

    public static final String NODE_SHAPE

See Also:
  Constant Field Values

### NODE_RGB_RED

    public static final String NODE_RGB_RED

See Also:
  Constant Field Values

### NODE_RGB_GREEN

    public static final String NODE_RGB_GREEN

See Also:
  Constant Field Values

### NODE_RGB_BLUE

    public static final String NODE_RGB_BLUE

See Also:
  Constant Field Values

### LABEL_BOLD

    public static final String LABEL_BOLD

See Also:
  Constant Field Values

### LABEL_ITALIC

    public static final String LABEL_ITALIC

See Also:
  Constant Field Values

### LABEL_RGB_RED

    public static final String LABEL_RGB_RED

See Also:
  Constant Field Values

### LABEL_RGB_GREEN

    public static final String LABEL_RGB_GREEN

See Also:
  Constant Field Values

### LABEL_RGB_BLUE

    public static final String LABEL_RGB_BLUE

See Also:
  Constant Field Values

### CONNECTOR_SLOT

    public static final String CONNECTOR_SLOT

See Also:
  Constant Field Values

### CONNECTOR_LINE_TYPE

    public static final String CONNECTOR_LINE_TYPE

See Also:
  Constant Field Values

### CONNECTOR_ARROWHEAD_TYPE

    public static final String CONNECTOR_ARROWHEAD_TYPE

See Also:
  Constant Field Values

### CONNECTOR_DISPLAY_TEXT

    public static final String CONNECTOR_DISPLAY_TEXT

See Also:
  Constant Field Values

Constructor Detail

### NodePropertyNames

    public NodePropertyNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request